Bug 485601 - display sleep doesn't work.
display sleep doesn't work.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 494346 494931 (view as bug list)
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-02-15 01:47 EST by sangu
Modified: 2013-01-10 00:03 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 10:52:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2009-02-15 01:47:09 EST
Description of problem:
display sleep doesn't work.

Version-Release number of selected component (if applicable):
2.25.91-1.fc11

How reproducible:
always

Steps to Reproduce:
1. Setting  < Put display to sleep when inactive for: > in gnome-power-preferences.
2.
3.
  
Actual results:


Expected results:


Additional info:
gnome-session-2.25.90-1.fc11.x86_64
gnome-screensaver-2.25.2-2.fc11.x86_64

gnome-screensaver works well.

$ cat ~/.xsession-errors
<skip>
gnome-session[3300]: WARNING: Unable to find watch for alarm 18874423
gnome-session[3300]: WARNING: Unable to find watch for alarm 18874424
gnome-session[3300]: WARNING: Unable to find watch for alarm 18874425
gnome-session[3300]: WARNING: Unable to find watch for alarm 18874426
Comment 1 Joachim Frieben 2009-03-29 04:15:02 EDT
I do see the same issue for gnome-power-manager-2.26.0-1.fc11.x86_64. Moreover, suspend is not triggered either after the scheduled delay has elapsed indicating that g-p-m fails to have any effect on the system. Relevant components include:
- gnome-power-manager-2.26.0-1.fc11.x86_64
- gnome-screensaver-2.26.0-1.fc11.x86_64
- gnome-session-2.26.0-1.fc11.x86_64
Comment 2 Joachim Frieben 2009-03-30 15:39:05 EDT
Updating g-p-m to SVN (executable reports version 2.27.1 (?)) allows to restore proper handling of DPMS. This issue should be an F11 blocker and needs to be addressed urgently.
Comment 3 Matthias Clasen 2009-04-07 14:25:09 EDT
*** Bug 494346 has been marked as a duplicate of this bug. ***
Comment 4 Kevin DeKorte 2009-04-11 09:17:27 EDT
Can we get a new RPM of this in rawhide that addresses this issue? The latest rpm in koji is from 3/16.. I think this bug has been around long enough and I agree that this should be an F11 blocker.
Comment 5 Richard Hughes 2009-04-16 15:54:22 EDT
I've fixed this in master, I'll look at backporting this after the weekend.
Comment 6 Adam Williamson 2009-04-16 18:40:51 EDT
*** Bug 494931 has been marked as a duplicate of this bug. ***
Comment 7 Kevin DeKorte 2009-04-21 16:50:50 EDT
Upgraded to gnome-power-manager-2.26.1-1.fc11.x86_64 from koji and it appears that the screen does go to sleep now. But rather than the 16 minutes (1 min after the screen saver) it seems to put the screen to sleep after 1 minute of idle time.. are there other requirements that I need, if so the rpm should have demanded them.
Comment 8 Richard Hughes 2009-04-22 09:44:57 EDT
(In reply to comment #7)
> Upgraded to gnome-power-manager-2.26.1-1.fc11.x86_64 from koji and it appears
> that the screen does go to sleep now. But rather than the 16 minutes (1 min
> after the screen saver) it seems to put the screen to sleep after 1 minute of
> idle time..

Yes, that's the current plan. DPMS off has to be more aggressive that the session going idle. If you inhibit the session however, DPMS won't go off.

Can you please try the packages here: http://koji.fedoraproject.org/koji/buildinfo?buildID=98858 and then we can look at getting the bump into f11-final if there are no problems. Thanks.

Richard.
Comment 9 Kevin DeKorte 2009-04-22 09:59:59 EDT
Yes, I am using that package from koji and what I am saying is that switching the display off is now TO aggressive. I set the display to be turned off after 16 minutes.. and I moved away from my machine and after about 1.5-2mins the dpms power save kicked in. I want it to not kick in until 16 minutes of session idle time has passed I set this by going into gnome-power-managers preferences and setting the display option to 16 mins. I switch back and forth between two machines all day and having it turn power down the displays after < 2 mins it too often
Comment 10 Kevin DeKorte 2009-04-22 12:58:23 EDT
Richard,

I think I found the problem. When select 15 mins for the screen saver and gnome-power-manager sets the minimum time to 16 mins until dpms kicks in. the value stored in gconf under apps/gnome-power-manager/timout/sleep_display_ac is 60 it should be 960 (16*60). So it seems that when storing this value you are not storing the base offset (15*60) + (slider value [1 in this case]), you are just storing the slider value * 60.
Comment 11 Matthias Clasen 2009-04-22 21:23:50 EDT
Thats intentional, according to the code:

                /* We take away the g-s idle time as the slider represents
                 * global time but we only do our timeout from when gnome-session
                 * declares the session idle */
                value -= prefs->priv->idle_delay;

                /* policy is in seconds, slider is in minutes */
                value *= 60;
Comment 12 Matthias Clasen 2009-04-22 21:41:14 EDT
But I am really getting lost in the maze of idles and timeouts and resets inside the g-p-m code. Richard, how is this supposed to work ?
Comment 13 Richard Hughes 2009-04-23 08:58:31 EDT
I forgot to backport the gnome-power-preferences part for 2.26.1 -- could you please try out the package here: http://koji.fedoraproject.org/koji/taskinfo?taskID=1316711 and tell me if it fixes the problem. Thanks.
Comment 14 Kevin DeKorte 2009-04-23 09:51:59 EDT
Richard,

I testing that code and everything seems to work as expected with screen power off now.
Comment 15 Matthias Clasen 2009-04-23 15:04:37 EDT
Richard, are you asking for tags ?
Comment 16 Richard Hughes 2009-04-24 05:20:35 EDT
Will do now.
Comment 17 Richard Hughes 2009-04-24 05:30:47 EDT
Requested at https://fedorahosted.org/rel-eng/ticket/1626
Comment 18 Richard Hughes 2009-04-24 10:52:43 EDT
Tagged.
Comment 19 Kevin DeKorte 2009-05-02 12:26:01 EDT
This bug has reappeared with the April 30 rawhide. The first time dpms works fine.. then you let the machine go idle and the display never turns off again. On April 30, gnome-screensaver was updated, but I'm not sure if that is the problem.
Comment 20 Vinod Kutty 2009-08-25 12:45:28 EDT
This still seems to be a problem in F11 w/ GNOME.

Using gnome-power-manager-2.26.4-1.fc11.x86_64
Comment 21 Edward Rudd 2010-04-19 21:11:45 EDT
I am still seeing this issue in Fedora 12 gnome-power-manager 2.28.2-2.fc12.i686

I do not have the screensaver enabled and ONLY have the power display off after 10 minutes enabled and it NEVER turns off..  

if I manually set via xset it goes off.  And many others are having this issue with gnome on other distributions..  

https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/203513

Note You need to log in before you can comment on or make changes to this bug.